package net.helcel.beendroid.activity

import android.graphics.drawable.ColorDrawable
import android.content.Intent
import android.os.Bundle
import android.os.PersistableBundle
import android.util.TypedValue
import android.view.MenuItem
import androidx.activity.addCallback
import androidx.appcompat.app.AppCompatActivity
import net.helcel.beendroid.R

class  SettingsActivity: AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        // Bind activity to XML layout with fragment view
        setContentView(R.layout.activity_settings)

        // Create action bar
        val colorPrimaryTyped = TypedValue()
        theme.resolveAttribute(android.R.attr.colorPrimary, colorPrimaryTyped, true)
        supportActionBar?.setBackgroundDrawable(ColorDrawable(colorPrimaryTyped.data))
        supportActionBar?.title = getString(R.string.action_settings)
        supportActionBar?.setDisplayHomeAsUpEnabled(true)

        // Populate activity with settings fragment
        supportFragmentManager.beginTransaction()
            .replace(R.id.fragment_view, SettingsFragment())
            .commit()
    }

    override fun onOptionsItemSelected(item: MenuItem): Boolean {
        // Configure on back pressed
        finish()
        return super.onOptionsItemSelected(item)
    }
}