package net.helcel.beendroid.activity

import android.content.Context
import android.graphics.drawable.ColorDrawable
import android.os.Bundle
import android.util.TypedValue
import androidx.appcompat.app.AppCompatDelegate
import androidx.preference.ListPreference
import androidx.preference.PreferenceFragmentCompat
import net.helcel.beendroid.R


class SettingsFragment: PreferenceFragmentCompat() {
    private lateinit var themePreference: ListPreference

    override fun onCreatePreferences(savedInstanceState: Bundle?, rootKey: String?) {
        setPreferencesFromResource(R.xml.fragment_settings, rootKey)

        // Select Light/Dark/System Mode
        themePreference = findPreference(getString(R.string.key_theme))!!
        themePreference.setOnPreferenceChangeListener { _, key ->
            setTheme(requireContext(), key as String)
        }

    }

    companion object {
        fun setTheme(context: Context, key: String?): Boolean {
            when (key) {
                context.getString(R.string.system) -> {
                    // Set SYSTEM Theme
                    AppCompatDelegate.setDefaultNightMode(AppCompatDelegate.MODE_NIGHT_FOLLOW_SYSTEM)
                    return true
                }

                context.getString(R.string.light) -> {
                    // Set LIGHT Theme
                    AppCompatDelegate.setDefaultNightMode(AppCompatDelegate.MODE_NIGHT_NO)
                    return true
                }

                context.getString(R.string.dark) -> {
                    // Set DARK Theme
                    AppCompatDelegate.setDefaultNightMode(AppCompatDelegate.MODE_NIGHT_YES)
                    return true
                }

                else -> {
                    return false
                }
            }
        }
    }
}